require 'yaml'
require 'singleton'

module AliSms

  class Config
    include Singleton

    def initialize()
      configHash = YAML.load_file(Rails.root.to_s + '/config/ali_sms.yml')

      if configHash.nil?
        raise "ali_sms.yml为空"
      end

      configHash.each do |k, v|
        Object.send :define_method, k do 
          v
        end
      end
    end # initialize .. end

  end
end