require 'net/http'

module AliSms
    module Curl
        def self.request_url(url)
            uri = URI(url)
            request = Net::HTTP::Get.new(uri.request_uri)
            
            http = Net::HTTP.new(uri.host, uri.port)
            http.read_timeout = 10 
            http.open_timeout = 10
            
            
            res = http.request(request)
            
            if res.is_a? Net::HTTPSuccess
                result = res.body
            else
                result = {}
            end
            
            return result
        end

    end
end